#!/usr/bin/env bash
#bash script     : developers.es
#apps            : Developers Functions Library
#description     : Translate Messages (es)
#author		     : MRP/mrp - Mauro Rosero P.
#company email   : mauro@rosero.one
#personal email  : mauro.rosero@gmail.com
#date            : 20241130
#version         : 1.0.2
#notes           :
#==============================================================================
#==============================================================================


gpmsg_000="INICIALIZAR GPG"
gpmsg_001="RESTAURAR BACKUP DE PERFIL"

gpmsg_101="Desea inicializar la configuración de GPG?"
gpmsg_102="Configuración GPG inicializada!"
gpmsg_103="Plantilla de configuración GPG no existe!"
gpmsg_104="Desea realizar una copia de seguridad GPG?"
gpmsg_105="Desea realizar copia de seguridad para el desarrollador"
gpmsg_106="Copia de seguridad de claves GPG completada!"
gpmsg_107="Archivo de configuración GPG no fue encontrado!"
gpmsg_108="Carpeta de copia de seguridad local no existe"
gpmsg_109="Contraseña del archivo ZIP no fue suministrada"
gpmsg_110="Base de Datos SQLITE3 no fue suministrada"
gpmsg_111="Archivo de Base de Datos SQLITE3 no existe!"
gpmsg_112="Carpeta temporal de Backup no fue suministrada"
gpmsg_113="Desea restaurar la copia de seguridad"
gpmsg_114="Restauración de copia de seguridad completada satisfactoriamente!"

dvmsg_101_0="Versión"
dvmsg_101_1="Uso:"
dvmsg_101_2="<developer zipfile> [--help] [--version]"
dvmsg_102="Descripción: Este bash script restaura una copia de seguridad de perfil de desarrollador"
dvmsg_103="             donde <developer zipfile> es argumento obligatorio y corresponde a la copia"
dvmsg_104="             de seguridad en formato zip."
dvmsg_105="Opciones:"
dvmsg_106="  --help     Muestra este mensaje de ayuda."
dvmsg_107="  --version  Muestra la versión del script."

# Mensajes para cversadm_token.sh
cvmsg_000="ADMINISTRADOR DE TOKENS DE CONTROL DE VERSIONES"
cvmsg_001="Seleccione plataforma de control de versiones"
cvmsg_002="Elija la plataforma para la que desea configurar el token de acceso"
cvmsg_003="Token de acceso"
cvmsg_004="Introduzca el token de acceso personal para"
cvmsg_005="El token se utilizará para operaciones de autenticación"
cvmsg_006="Token guardado correctamente para"
cvmsg_007="Error al guardar el token para"
cvmsg_008="Carpeta de configuración creada:"
cvmsg_009="Seleccione una opción"
cvmsg_010="Github"
cvmsg_011="Gitlab"
cvmsg_012="Forgejo"
cvmsg_013="SOPS no está instalado"
cvmsg_014="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
cvmsg_015="El token no puede estar vacío. Por favor ingrese un token válido."
cvmsg_016="El token parece ser demasiado corto. Verifique que haya copiado el token completo."
cvmsg_017="El token contiene caracteres no estándar. Verifique que sea correcto."

# Mensajes para qr_secret.sh
qrmsg_000="EXTRACTOR DE SECRETOS QR"
qrmsg_001="Nombre del archivo"
qrmsg_002="Ingrese un nombre para el archivo (solo letras, números, ., - y _)"
qrmsg_003="Seleccione una imagen QR"
qrmsg_004="El nombre no puede estar vacío."
qrmsg_005="El nombre no puede contener espacios."
qrmsg_006="El nombre solo puede contener letras, números, ., - y _."
qrmsg_007="No se pudo extraer el secreto de la imagen QR seleccionada."
qrmsg_008="Secreto guardado correctamente en"
qrmsg_009="No se pudo guardar el secreto encriptado."
qrmsg_010="Operación cancelada por el usuario."
qrmsg_011="Éxito"
qrmsg_012="Error"
qrmsg_013="Dialog no está instalado"
qrmsg_014="Zbar no está instalado"

# Mensajes para fjadmin_install.sh
fjmsg_000="INSTALADOR DE FORGEJO CLI"
fjmsg_001="Instalando Forgejo CLI"
fjmsg_002="Cargo no está instalado. Instalando Rust y Cargo..."
fjmsg_003="Rust y Cargo han sido instalados correctamente."
fjmsg_004="Cargo ya está instalado."
fjmsg_005="Forgejo CLI no está instalado. Instalando..."
fjmsg_006="ERROR: No se pudo encontrar cargo en el PATH después de la instalación."
fjmsg_007="Por favor reinicie su terminal e intente nuevamente."
fjmsg_008="Forgejo CLI instalado correctamente."
fjmsg_009="ERROR: No se pudo instalar Forgejo CLI."
fjmsg_010="Preparando instalación de Forgejo CLI..."
fjmsg_011="Instalación completada."
fjmsg_012="¿Desea instalar Forgejo CLI?"
fjmsg_013="Esta herramienta le permite administrar instancias de Forgejo desde línea de comandos."
fjmsg_014="Instalación cancelada por el usuario."

# Mensajes para forgejo_login.sh
fgmsg_000="INICIO DE SESIÓN EN FORGEJO"
fgmsg_001="Error: berg (Forgejo CLI) no está instalado."
fgmsg_002="Por favor, ejecute ${BIN_HOME}/${BIN_BASE}/fjadmin_install.sh primero."
fgmsg_003="Error: SOPS no está instalado."
fgmsg_004="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
fgmsg_005="Error: No se encontró el archivo de token para Forgejo."
fgmsg_006="Por favor, ejecute bin/cversadm_token.sh para configurar el token primero."
fgmsg_007="Usando servidor Forgejo:"
fgmsg_008="ADVERTENCIA: No se pudo detectar automáticamente la URL de Forgejo."
fgmsg_009="Si la autenticación falla, establezca manualmente BERG_BASE_URL."
fgmsg_010="Iniciando sesión en Forgejo..."
fgmsg_011="Sesión iniciada correctamente en Forgejo."
fgmsg_012="Error al iniciar sesión en Forgejo. Por favor, verifique su token."
fgmsg_013="Cerrando sesión de Forgejo..."
fgmsg_014="No hay sesión activa en Forgejo."
fgmsg_015="Sesión cerrada."

